Package com.xebialabs.xlrelease.domain

# Class GateCondition

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.GateCondition

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class GateCondition extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GateCondition()`
  `GateCondition(String id, String title, boolean checked)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTitle()`
  `boolean`
  `isChecked()`
  `void`
  `setChecked(boolean checked)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GateCondition

    public GateCondition()

  - ### GateCondition

    public GateCondition(String id, String title, boolean checked)

- ## Method Details

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### isChecked

    public boolean isChecked()

  - ### setChecked

    public void setChecked(boolean checked)